#!/bin/sh

# Stress the deep directory logic; the actual depth here seems to
# be limited by the shell.  This should be restructured to get around
# that limit (possibly by using perl to build the deep tree?)
echo Deep directory tests

# Basic test configuration
. config.sh

# Create a deep dir (shell seems to be limited by PATH_MAX)
mkdir original
cd original
I=0
while [ $I -lt 200 ]
do
    mkdir a$I
    cd a$I
    I=$(($I + 1))
done
while [ $I -gt 0 ] ; do cd ..; I=$(($I - 1)); done
cd ..

# Copy this using bsdtar
echo "  tar -c | tar -x"
mkdir copy
(cd original; ${BSDTAR} -cf - .) | (cd copy; ${BSDTAR} -xf -)
diff -r original copy || echo XXX FAILURE XXX

# Copy gtar->bsdtar
echo "  gtar -c | tar -x"
mkdir copy-gtar
(cd original; ${GTAR} -cf - .) | (cd copy-gtar; ${BSDTAR} -xf -)
diff -r original copy-gtar || echo XXX FAILURE XXX
cd ..

