#!/bin/sh

# Exercise copying of file flags
echo "File Flag handling"
# Basic test configuration
. config.sh

# Create some files with various flags set
mkdir original
FLAGS='uchg opaque nodump uappnd'
for f in $FLAGS; do
    touch original/test.$f
    chflags $f original/test.$f
done
#ls -ol ${TESTDIR}/original

# Copy the dir with -p
echo "  -p preserves flags"
mkdir copy
(cd original && ${BSDTAR} -cf - .) | (cd copy; ${BSDTAR} -xpf -)
# Verify that the flags are set
for f in $FLAGS; do
    [ "$f" = `ls -ol copy/test.$f | awk '{print $5}'` ]		\
	|| echo XXX FAIL: $f not preserved with -p XXX
done
#ls -ol ${TESTDIR}/copy

# Copy the dir without -p
echo "  flags omitted without -p"
mkdir copy2
(cd original && ${BSDTAR} -cf - .) | (cd copy2; ${BSDTAR} -xf -)
# Verify that the flags are not set
for f in $FLAGS; do
    [ "$f" = `ls -ol copy2/test.$f | awk '{print $5}'` ]	\
	&& echo XXX FAIL: $f copied without -p XXX
done
#ls -ol ${TESTDIR}/copy2

# Strip off the flags so we can clean this directory on the next test
for f in $FLAGS; do
    if [ $f = 'nodump' ]; then
	chflags dump original/test.$f
	chflags dump copy/test.$f
    else
	chflags no$f original/test.$f
	chflags no$f copy/test.$f
    fi
done
cd ..

