#!/bin/sh

# Test that archiving obeys the 'nodump' flag
echo "Verify 'nodump'"
# Basic test configuration
. config.sh

# Create some sample files, 'b' is marked nodump
mkdir original
cd original
touch a
touch b
touch c
# 'chflags' on FreeBSD, 'chattr' on Linux
( chflags nodump b || chattr +d b ) >/dev/null 2>&1 || echo XXX NO chflags/chattr command XXX

# Copy files with --nodump
cd ..
mkdir copy
(cd original && ${BSDTAR} -cf - --nodump .) | (cd copy; ${BSDTAR} -xf -)

# Verify that 'b' wasn't copied
echo "  File marked nodump wasn't copied"
if [ -e copy/b ] ; then echo XXX Copied nodump file XXX; fi
echo "  File not marked nodump was copied"
if [ \! -e copy/a ] ; then echo XXX Failed to copy non-nodump file a XXX; fi
diff -r --exclude=b original copy || echo XXX FAILURE XXX
cd ..
